| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::PendingAccount Class Reference
Account proxies

The PendingAccount class represents the parameters of and the reply to an asynchronous account request. More...

`#include <TelepathyQt/PendingAccount>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- ~PendingAccount ()
- AccountManagerPtr manager () const
- AccountPtr account () const

## Detailed Description

The PendingAccount class represents the parameters of and the reply to an asynchronous account request.

Instances of this class cannot be constructed directly; the only way to get one is via AccountManager.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingAccount::~PendingAccount | ( |  | ) |

Class destructor.

## Member Function Documentation

AccountManagerPtr Tp::PendingAccount::manager | ( |  | ) | const

Return the account manager through which the request was made.

Returns:
  A pointer to the AccountManager object.

AccountPtr Tp::PendingAccount::account | ( |  | ) | const

Return the newly created account.

Returns:
  A pointer to an Account object, or a null AccountPtr if an error occurred.